/* Copyright (c) 1997, MpegTV LLC */
#ifndef _mtv_h
#define _mtv_h
#ifndef lint
static char rcsid_mtv_h[] = "$Header: /net/hopkins/home/tristan/mpeg/dec/RCS/mtv.h,v 1.73 1999/05/03 12:22:31 tristan Exp $";
#endif


/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

#include "mtvp/misc.h"
#include "mtvp/com_api.h"

/*--------------------------------------------------------------------------+
| Configuration																|
+--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------+
| Data types																|
+--------------------------------------------------------------------------*/

/*
 * Callback parameters used internally by the mtv front-end (mtv.c).
 * To make sure that they don't conflict with the COMMAND
 * API (also used as callback parameters by the GUI), we
 * make sure that they start at COM_MAX.
 *
 * Note: It is not really a good idea to use the same mtvp's COM_XXX naming
 * convention for mtv's private commands (because it can create confusion),
 * but I don't have the courage to change that!
 */

enum {
	COM_PLAY_PAUSE = COM_MAX,
	COM_STOP,
	COM_REWIND,
	COM_ABOUT_CLOSE,
	COM_AUDIO_CLOSE,
	COM_AUDIO_CH_BOTH,
	COM_AUDIO_CH_LEFT,
	COM_AUDIO_CH_RIGHT,
	COM_VIDEO_DITHER_NONE,
	COM_VIDEO_DITHER_GRAY,
	COM_VIDEO_DITHER_ORDERED,
	COM_VIDEO_DITHER_COLOR,
	COM_VIDEO_GAMMA_SLIDER,
	COM_VIDEO_GAMMA_SLIDER_RESET,
	COM_VIDEO_CONTRAST_SLIDER,
	COM_VIDEO_CONTRAST_SLIDER_RESET,
	COM_VIDEO_BRIGHTNESS_SLIDER,
	COM_VIDEO_BRIGHTNESS_SLIDER_RESET,
	COM_VIDEO_CHROMA_SATURATION_SLIDER,
	COM_VIDEO_CHROMA_SATURATION_SLIDER_RESET,
	COM_VIDEO_ASPECT_RATIO_SQUARE_PELS,
	COM_VIDEO_ASPECT_RATIO_CODED,
	COM_VIDEO_ASPECT_RATIO_FREE,
	COM_VIDEO_LAYOUT_FILL_WINDOW,
	COM_VIDEO_LAYOUT_CENTERED,
	COM_VIDEO_LAYOUT_TOP_LEFT,
	COM_VIDEO_CLOSE,
	COM_SYNC_CLOSE,
	COM_SYNC_FRAMERATE_RESET,
	COM_INFOS_CLOSE,
	COM_FRAME_INFOS_CLOSE,
	COM_FILE_MENU,
	COM_OPTIONS_MENU,
	COM_WINDOW_MENU,
	COM_HELP_MENU,
	COM_SYNC_SYNC,
	COM_SYNC_IPB,
	COM_SYNC_IP,
	COM_SYNC_I,
	COM_SYNC_NOMINAL,
	COM_AUDIO_QUALITY_LOW,
	COM_AUDIO_QUALITY_MEDIUM,
	COM_AUDIO_QUALITY_HIGH,
	COM_AUDIO_CONTROLS_MASTER,
	COM_AUDIO_CONTROLS_PCM,
	COM_AUDIO_PORT_LINE_OUT,
	COM_AUDIO_PORT_HEADPHONE,
	COM_AUDIO_PORT_SPEAKER,
	COM_FAST_FORWARD,
	COM_ALERT_CLOSE,
	COM_OPEN_STDIN,
	COM_REGISTRATION_OK,
	COM_REGISTRATION_CLOSE,
	COM_SPLASH_OPEN,
	COM_SPLASH_REGISTER,
	COM_SPLASH_KEY,
	COM_SPLASH_EVALUATE,
	COM_LICENSE_AGREE,
	COM_LICENSE_DISAGREE,
	COM_VCD_TRACK,
	COM_UDP_OK,
	COM_UDP_CLOSE,
	COM_ZOOM,
	COM_USE_PRIVATE_CLUT
};


#endif /* _mtv_h */
